import { DomSanitizer, SafeStyle } from '@angular/platform-browser';
import { GridRenderer } from '../../models/GridRenderer.model';
import { Rectangle } from '../../models/Rectangle.model';
import * as i0 from "@angular/core";
export declare class NgxGridOverlayComponent {
    private sanitizer;
    activeHighlight: any;
    gridRows: {
        y: SafeStyle;
        height: SafeStyle;
    }[];
    gridCols: {
        x: SafeStyle;
        width: SafeStyle;
    }[];
    _renderer: GridRenderer;
    _highlight?: Rectangle;
    _showGrid: boolean;
    constructor(sanitizer: DomSanitizer);
    get renderer(): GridRenderer;
    set renderer(renderer: GridRenderer);
    set rows(rows: number);
    set cols(rows: number);
    get highlight(): Rectangle;
    set highlight(highlight: Rectangle);
    get showGrid(): boolean;
    set showGrid(showGrid: boolean);
    updateGridLines(renderer: GridRenderer, showGrid: boolean): void;
    clearHighlight(): void;
    clearGridLines(): void;
    highlightArea(area: Rectangle, renderer: GridRenderer): void;
    showGridLines(renderer: GridRenderer): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxGridOverlayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxGridOverlayComponent, "ngx-grid-overlay", never, { "renderer": "renderer"; "rows": "rows"; "cols": "cols"; "highlight": "highlight"; "showGrid": "showGrid"; }, {}, never, never, false, never>;
}
